com::lomiri::location::WithSource< T > Struct Template Reference

`#include <update_selector.h>`

Collaboration diagram for com::lomiri::location::WithSource< T >:

## Public Attributes

std::shared_ptr< Provider > | source
T | value

## Detailed Description

template<typename T>
struct com::lomiri::location::WithSource< T >

Definition at line 32 of file update_selector.h.

## Member Data Documentation

## source

template<typename T>

std::shared_ptr<Provider> com::lomiri::location::WithSource< T >::source

Definition at line 32 of file update_selector.h.

## value

template<typename T>

T com::lomiri::location::WithSource< T >::value

Definition at line 32 of file update_selector.h.

The documentation for this struct was generated from the following file:

- update_selector.h